Correct/Best way to upgrade from vb 3.6.x( with vbseo) to vb 4.x(with dbseo) ?

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
Hello,
I just need your guidance on how to do things, I will manage myself. :)

Require following things setup on new vb 4.x:
Import of Zoints tags manager from vb 3.x to 4.x
Sitemaps

WE are running our fourms on vb 3.6.x and require to upgrade to vb 4.x latest.
We have vbseo installed on 3.x and need to upgrade to dbseo.

How should we plan our upgrade ?
Should we upgrade to vb 4.x first and then install dbseo or vice-versa ?
 

TLChris

Administrator
Joined
Jan 2, 2020
Messages
326
Is the software you're moving your SEO urls still supported by DragonByte?

Also confused as to why you're moving to vB4 when you could possibly just patch up 3.8 if you're investing all that time into it.
 

we_are_borg

Administrator
Joined
Jan 25, 2011
Messages
5,702
When was vBulletin 4.x.x last updated to begin with, if its more then a year why would you swap one for the other (3.6 to 4.x). You are going from one obsolete script to another, i would look into other possibilities like Xenforo or IPB there maintained and have better features.
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
When was vBulletin 4.x.x last updated to begin with, if its more then a year why would you swap one for the other (3.6 to 4.x). You are going from one obsolete script to another, i would look into other possibilities like Xenforo or IPB there maintained and have better features.
Thanks agree with you, but at present just looking for an upgrade solution,
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
Is the software you're moving your SEO urls still supported by DragonByte?

Also confused as to why you're moving to vB4 when you could possibly just patch up 3.8 if you're investing all that time into it.
Any reason stick with Vb 3.x and not jumping to vb 4.x
Need to move all the Tags made using Zoints tags manager to vbulletin tags.
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
I would repair the 3.6 script and then plan migration to something that gets updates and better features.
Thanks we_are_borg
Repair the 3.6x script ? Please guide.

Also any suggestions about exporting tags by zoints tags manager to vbulletin 4.x ?
 

we_are_borg

Administrator
Joined
Jan 25, 2011
Messages
5,702
If you are getting errors you are better off fixing does errors. Lets get Paul M in he knows much more about 3.x and 4.x and he knows what can and can’t be fixed.
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
If you are getting errors you are better off fixing does errors. Lets get Paul M in he knows much more about 3.x and 4.x and he knows what can and can’t be fixed.
Thanks again,
I have not yet started upgrading, so no errors soo far.
Just want to make sure about the things I am going to perform during upgrade, hence the question.
 

we_are_borg

Administrator
Joined
Jan 25, 2011
Messages
5,702
Well just wait on Paul and ask questions we have a few people that have great knowledge about 3.x and 4.x if Paul gives advice it would be solid advice.
 

zappaDPJ

Administrator
Joined
Aug 26, 2010
Messages
7,751
I wouldn't even consider upgrading from vB3 to vB4 because vB4 has been declared end of line and is not compatible with secure versions of PHP.

If you still want to go ahead one issue you are likely to face is the conversion and importation of Zoints Tags. The only method that I'm aware of which doesn't involve a massive amount of work is to update to vB3.7.x and run this https://www.vbulletin.org/forum/showthread.php?t=170314 converter before you upgrade to vB4. I have no idea if it still works but it did work once.

As far as DragonByte are concerned, while they still appear to be selling their SEO product I see no evidence to suggest that it's supported. Personally I wouldn't buy anything from them on principal but that's a decision for you to make.
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
Thanks zappaDPJ
The modification you suggested is on my list, I updated from 3.6 to 4.x few years ago and imported tags successfully, dont remember how the update/export was done..
I lost the 4.x backup and have a old back of 3.6.

I have official purchased licensce for dBSEO..
 

Zelda

Enthusiast
Joined
Feb 25, 2021
Messages
123
vBulletin 3 was an excellent forum for software development. I had mixed thoughts concerning vBulletin 4. initially showed a lot of promise. While it was not a total failure, it never fully lived up to its full potential, in my opinion.

I agree with the overall sentiment that has been express here today. Why switch from one outdated product to another obsolete product? You would do well to either fix and update your current source or migrate to something more modern.

May I suggest either Invision or Woltlab? Like yourself, I hung into my v3 install well past its prime. I found the thought of leaving frustrating since I knew v3 worked and somehow wanted it to keep on working. I also knew when the day came; I would like something more mature and well-supported. Plus, I knew I did not want my community to ultimately end up being another carbon copy of everything else out there. I humbling suggest you look into both.

In any case, I wish you the very best of luck in your future endeavors. :)
 

Hostboard

Aspirant
Joined
Aug 18, 2019
Messages
48
Fist off VBSeo is riddled with security issues unless you had a coder fix them.

I can see other's sentiments regarding jumping from one EoL product to another and YMMV on your decision. But in the end just realize that if you remain on VB the only support you will get is through places like TAZ.

DragonByte has left the VB community high and dry and offers minimal at best support. Had to argue just get him to fix the breadcrumb data-vocabulary.org to schema.org His argument was they are marked as "optional". He did eventually fix it. DBSEO does have a bug and under certain configurations with REGEX will throw a DB error. They are unwilling to acknowledge or fix this. At some point I'll higher a coder to fix it and post the fix for others.

That being said there is a new project bringing vb 3.8.11 into prime time with PHP 7.4 support.
Major Additions - vBulletin 3.8.14 with PHP 7.4 support! - vBulletin.org Forum

Many of us still on VB 4.2.5 have also successfully update the software to run on PHP 7.4 The only reason I have remained is due to the amount of custom code as it would be a 5 digit cost to have it recoded to another platform which I am unwilling to fund.

So in the end, I guess if I were in your shoes, I would take stock of what added functions beyond the core VB were added. Are these function vital to your site, are these functions available on other platforms either in the core or addons. And finally what the cost is for the software and potentially a developer familiar with migrations to assist.

Good luck...
 

Hemanth

Pro Admin
Joined
Jul 6, 2006
Messages
117
SaN-DeeP I had a similar setup as you had (vB 3 + vBSEO + the old NNTP gateway) :). My traffic is now 1% of what we had in the good old days. So, I decided to just move to Xenforo & HTTPs everything. I hired mysiteguy to sort out the redirects and he was brilliant.

Something to consider because vB3 & 4 are just too outdated and not worth the trouble.

Good luck.
 
Last edited:

Paul M

Dr Pepper Addict
Joined
Jun 26, 2006
Messages
3,995
Unless you have a burning desire for the CMS or blogs, then you are better off just updating to 3.8.11 rather than 4.2.5.

There is a lot more effort involved in going from 3.x to 4.x (for both products, and esp styles).

Be aware however that both have only been tested on (upto) php 7.1 (then again, you must be running old php to still be on 3.6.x)
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
Unless you have a burning desire for the CMS or blogs, then you are better off just updating to 3.8.11 rather than 4.2.5.

There is a lot more effort involved in going from 3.x to 4.x (for both products, and esp styles).

Be aware however that both have only been tested on (upto) php 7.1 (then again, you must be running old php to still be on 3.6.x)
Thanks Paul M for your reply.
For CMS we are using another software script..
We managed to upgrade to vbulletin 4.2.5 latest from vbulletin 3.6.x

Conversion from Zoints Tags to native vbulletin tags went successful as well.
(took nearly 4+ hours in migration).

In few hours, will go ahead and export dbseo to vbseo..

We are running following version of PHP 5.6.40 Kindly suggest the version we should upgrade to ?
 

we_are_borg

Administrator
Joined
Jan 25, 2011
Messages
5,702
PHP 7.1 is End of Life as of 1 December 2019 from that point on it never got security updates anymore.
 

SaN-DeeP

TechArena.IN
Joined
Jun 30, 2004
Messages
4,259
So what is the latest stable PHP release, on which vbulletin 4.x latest can run smoothly ?

Only php 7.1 and no version ahead ?
 
Top